/* CSS Variables */
:root {
  --primary: #ddd;
  --dark: #333;
  --light: #fff;
  --shadow: 0 1px 5px rgba(104, 104, 104, 0.8);
}

html {
  box-sizing: border-box;
  font-family: Arial, Helvetica, sans-serif;
  color: var(--dark);
}

body {
  background: #ccc;
  margin: 30px 50px;
  line-height: 1.4;
}

.add-cart {
  background: var(--dark);
  color: var(--light);
  padding: 0.6rem 1.3rem;
  text-decoration: none;
  border: 0;
}

img {
  max-width: 100%;
}

.wrapper {
  display: grid;
  grid-gap: 20px;
}

/* Navigation */
.main-nav ul {
  display: grid;
  grid-gap: 20px;
  padding: 0;
  list-style: none;
  grid-template-columns: repeat(3, 1fr);
}

.main-nav a {
  background: var(--primary);
  display: block;
  text-decoration: none;
  padding: 0.8rem;
  text-align: center;
  color: var(--dark);
  text-transform: uppercase;
  font-size: 1.1rem;
  box-shadow: var(--shadow);
}

.main-nav a:hover {
  background: var(--dark);
  color: var(--light);
}

/* Boxes */
  .container{
    background: var(--primary);
    text-align: center;
    padding: 1.5rem 2rem;
    box-shadow: var(--shadow);
    height: 500px;
    width: 95%;
  }

  .container ion-icon{
    font-size: 25px;
    color: red;
    margin-left: 10px;
    margin-right: 10px;
    cursor: pointer;
  }

  .box-header{
    display: flex;
    max-width: 100%;
    justify-content: flex-start;
    margin: 0 auto;
    border-bottom: 5px solid black;
  }

  .product-title{
    width: 35%;

  }

  .price{
    width: 15%;
    border-bottom: 5px;
    display: flex;
    align-items: center;
  }

  .quantity{
    width: 30%;
    border-bottom: 5px;
    display: flex;
    align-items: center;
  }

  .total{
    width: 10%;
    border-bottom: 5px;
    display: flex;
    align-items: center;
  }

  .products{
    width: 100%;
    height: 100%;
    display: block;
    justify-content: space-around;
    align-items: center;
    padding: 10px 0;
    border-bottom: 2px black;
  }

  

  .box h1{
    font-size: 18px;
    display: flex;
  }
  
  .box p{
    font-size: 15px;
  }

  .checkout{
    background: var(--dark);
    color: var(--light);
    padding: 0.6rem 1.3rem;
    text-decoration: none;
    border: 0;
  }
   

/* Footer */
footer {
  margin-top: 2rem;
  background: var(--dark);
  color: var(--light);
  text-align: center;
  padding: 1rem;
}

/* Media Queries */
@media (max-width: 700px) {
  .top-container {
    grid-template-areas:
      'showcase showcase'
      'top-box-a top-box-b';
  }

  .showcase h1 {
    font-size: 2.5rem;
  }

  .main-nav ul {
    grid-template-columns: 1fr;
    width:40%;
  }

  .info {
    grid-template-columns: 1fr;
  }

  .info .btn {
    display: block;
    text-align: center;
    margin: auto;
  }

  .box{
    width: 40%;
  }
  .box-header{
    max-width: 700px;
    grid-template-areas:
    'product-title'
    'price'
    'quantity'
    'total';
  }
  footer{
    width:50%;
  }
}

@media (max-width: 500px) {
  .top-container {
    grid-template-areas:
      'showcase'
      'top-box-a'
      'top-box-b';
  }
}
